/*
 * i2c.h
 *
 *  Created on: 9. 1. 2019
 *      Author: Hadamek
 */

#ifndef SRC_I2C_H_
#define SRC_I2C_H_
#include "si5348_registers.h"

int i2c_send_byte(u32 base_addr, u8 i2c_addr, u8 write_addr, u8 value);
int i2c_rcv_byte(u32 base_addr, u8 i2c_addr, u8 read_addr, u8 *value);
int i2c_rcv_bytes(u32 base_addr, u8 i2c_addr, u8 read_addr, u8 *buf, int num);

#endif /* SRC_I2C_H_ */
